import { DcValidator } from '../shared/dc-validator/dc-validator'
import { FileUploadEncoding } from './FileUploadEncoding'
import { FileUploader } from './FileUploader.class'
import { ExcelRule } from './TableData'

export interface ParseParams {
  file: File
  password?: string
  dcValidator: DcValidator
  /**
   * Parse function will manipulate and return the uploader array which can be provided with files already in the queue
   * Otherwise new empty instance will be created.
   */
  uploader?: FileUploader
  headerPks: string[]
  headerArray: string[]
  headerShow: string[]
  timeHeaders: string[]
  dateHeaders: string[]
  dateTimeHeaders: string[]
  xlRules: ExcelRule[]
  encoding?: FileUploadEncoding
}
